Package proton :: Class Endpoint

[frames] | no frames]

# Class Endpoint

source code

    object --+
             |
            Endpoint

Known Subclasses:
  - Connection
  - , Link
  - , Session

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| LOCAL_UNINIT = `1`
| REMOTE_UNINIT = `8`
| LOCAL_ACTIVE = `2`
| REMOTE_ACTIVE = `16`
| LOCAL_CLOSED = `4`
| REMOTE_CLOSED = `32`

Properties
| remote_condition
| handler
| transport
Inherited from `object`: `__class__`

Property Details

### remote_condition

Get Method:
  unreachable.remote_condition(self)

### handler

Get Method:
  _get_handler(self)
Set Method:
  _set_handler(self, handler)

### transport

Get Method:
  unreachable.transport(self)